#!/bin/sh
set -x
set +e

export TESTS="$1"

# let's work in a virtualenv
virtualenv --python=python3 ve3
. ve3/bin/activate

# uci-config is broken in trusty ppa
rm -rf uci-config
bzr branch lp:uci-config
CURDIR=`pwd`
cd uci-config
python3 setup.py install
cd $CURDIR

rm -rf ubuntu-system-tests
bzr branch $UBUNTU_SYSTEM_TESTS_BRANCH ubuntu-system-tests
cd ubuntu-system-tests
python3 setup.py develop
python3 -m ubuntu_system_tests.command_line -n -i -u --config=$CONFIG_PATH "$TESTS"

deactivate # our virtualenv

# TODO: run this as a post-build step
subunit2junitxml $WORKSPACE/results/artifacts/test-results.subunit > $WORKSPACE/results/artifacts/test-results.xml || true
